integer_subbyte.h File Reference

Defines a class for using integer types smaller than one byte in host or device code. More...

`#include <cstdint>`
`#include "cutlass/platform/platform.h"`
Include dependency graph for integer_subbyte.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes

struct | cutlass::integer_subbyte< Bits, Signed >
| 4-bit signed integer type More...
struct | cutlass::sizeof_bits< uint1b_t >
| Defines the size of an element in bits - specialized for uint1b_t. More...
struct | cutlass::sizeof_bits< int4b_t >
| Defines the size of an element in bits - specialized for int4b_t. More...
struct | cutlass::sizeof_bits< uint4b_t >
| Defines the size of an element in bits - specialized for uint4b_t. More...

## Namespaces

| cutlass

## Typedefs

using | cutlass::uint1b_t = integer_subbyte< 1, false >
| 1-bit Unsigned integer type More...
using | cutlass::int4b_t = integer_subbyte< 4, true >
| 4-bit Integer type More...
using | cutlass::uint4b_t = integer_subbyte< 4, false >
| 4-bit Unsigned integer type More...